#
# Conditional build:
%bcond_without	tests	# unit tests

%define		module	calver
Summary:	Setuptools extension for CalVer package versions
Summary(pl.UTF-8):	Rozszerzenie setuptools do wersji pakietów CalVer
Name:		python3-%{module}
Version:	2025.4.17
Release:	1
License:	Apache v2.0
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/calver/
Source0:	https://files.pythonhosted.org/packages/source/c/calver/%{module}-%{version}.tar.gz
# Source0-md5:	b02f51c61083eb5bd1b84218ec2fffd3
URL:		https://pypi.org/project/calver/
BuildRequires:	python3-modules >= 1:3.9
BuildRequires:	python3-setuptools >= 1:77.0.1
%if %{with tests}
BuildRequires:	python3-pretend
BuildRequires:	python3-pytest
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
Requires:	python3-modules >= 1:3.9
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The calver package is a setuptools extension for automatically
defining your Python package version as a calendar version.

%description -l pl.UTF-8
Pakiet calver to rozszerzenie setuptools do automatycznego
definiowania wersji pakietów Pythona jako wersji kalendarzowych.

%prep
%setup -q -n %{module}-%{version}

%build
%py3_build

%if %{with tests}
PYTHONPATH=$(pwd)/src \
%{__python3} -m pytest tests
%endif

%install
rm -rf $RPM_BUILD_ROOT

%py3_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.md
%{py3_sitescriptdir}/%{module}
%{py3_sitescriptdir}/%{module}-%{version}-py*.egg-info
%changelog
* Wed Jul 09 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-calver.git;a=log;h=master

* Wed Jul 09 2025 Jakub Bogusz <qboosh@pld-linux.org> f66f764
- updated to 2025.4.17, added tests

* Sat May 24 2025 Jakub Bogusz <qboosh@pld-linux.org> 79292b8
- updated python version

* Sat May 24 2025 Jakub Bogusz <qboosh@pld-linux.org> 6b9fbe3
- pl

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> 83bc36d
- doc/test rebuild for python 3.13

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> 1808aa7
- python 3.13 rebuild

* Fri Feb 07 2025 Arkadiusz Miśkiewicz <arekm@maven.pl> c5a32a7
- Initial

